Subject: [Mgs] mufflers

From: Paul Root <[email-masked]>
Date: Fri, 17 Aug 2012 12:21:58 -0500

I know this is probably pointless to ask, but it's time for a new muffler for
my car. Hit a bump this morning, and the front now has a hole, and the rear is
really close.

Anyway, I'm not concerned with getting 1, 2, or 5 more HP from my exhaust
change. I'm interested in volume.   I don't want it loud.

Can anyone rate the relative loudness of the stock (well 68-74 from Moss) vs
Tourist Trophy vs big bore stainless vs Peco?

I have a '77 with HIF conversion and stock pre-cat manifold.   I'm not
planning on changing the manifold at this time, but that's not a show
stopper.

thanks,
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/mgs/[email-masked]